# -*- coding: utf-8 -*-

from datetime import datetime
from pathlib import Path
import pytest

from . import check_bad_imports
from mmp.a6 import nms, main


current_assignment = pytest.mark.skipif(
    not (datetime(2025, 11, 27) <= datetime.now() <= datetime(2025, 12, 10, 23, 59, 59)),
    reason="This is not the current assignment.",
)


@current_assignment
def test_no_abs_import():
    paths = list(Path().glob("mmp/a6/*.py"))
    check_bad_imports(paths)


@current_assignment
def test_nms():
    nms.non_maximum_suppression


@current_assignment
def test_main():
    main.evaluate_test
    main.evaluate
    main.batch_inference
